############################
#### {{ ansible_managed }}
############################

global_defs {
  # String identifying the machine (e.g hostname). Default is hostname
  router_id {{ inventory_hostname }}
  # VRRP adresses checks. Skip if they come from master.
  vrrp_skip_check_adv_addr
  # Checking for aduplication of Ip adresses
  vrrp_garp_interval 0.001      # Interval in seconds
  # Delay between unsolicited NA messages sent on an interface
  vrrp_gna_interval 0.000001       # Interval in seconds
  script_user haproxy
  # Restrics a non-root users to run scripts with root privileges
  enable_script_security
}

# Script to be executed pereodically. Checking if HAProxy is running.
vrrp_script chk_haproxy{
  script "/usr/bin/killall -0 haproxy"              # Script path/command
  interval 2                               # Seconds between time invocation
  weight 2                                 # Priority
}

vrrp_instance haproxy-vip {
  # State is declaring if the host will be MASTER or BACKUP
  state {{ hostvars[inventory_hostname].state }}
  # When electing master, the higher priority wins
  priority {{ hostvars[inventory_hostname].priority }}
  # Network card
  interface {% if hostvars[inventory_hostname].int_name is defined %}{{ hostvars[inventory_hostname].int_name }}{% else %}eth0{% endif %}
  # Specify to which VRRP router id the instance belongs (VIP IP)
  virtual_router_id {{ hostvars[inventory_hostname].virtual_router_id }}
  # VRRP Advert interval
  advert_int 1
  # Authentication between the VIP and the actual LBs while exchanging packets.
  authentication {
    auth_type PASS
    auth_pass 1111
  }


  # The IP address of this machine
  unicast_src_ip {{ ansible_host }}
  unicast_peer {
    # The IP address of peer machines
    {{ hostvars[inventory_hostname].unicast_peer }}
  }

  virtual_ipaddress {
    # The VIP address
    {{ hostvars[inventory_hostname].proxy_vip }}
  }

  # Based on the result(0 or 1). The Instance could change it's state
  track_script {
    chk_haproxy
  }
}
